#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, i;
    scanf("%d", &n);
    for (int i = 1; i <= n; ++i) {
        printf("%d ", i);
    }
    printf("\n");
    for (int i = n*2; i > n; --i) {
        printf("%d ", i);
    }

    return 0;
}